apply plugin: 'com.android.application'

android {
    compileSdkVersion 26

    lintOptions {
        abortOnError false
    }

    defaultConfig {
        applicationId "com.viaccessorca.voplayerdemo"
        minSdkVersion 19
        targetSdkVersion 26
        versionCode 1
        versionName "1.0"
        buildConfigField "long", "TIMESTAMP", System.currentTimeMillis() + "L"
        ndk { abiFilters "x86", "armeabi-v7a" }
    }

    // Do not strips libs to avoid integrity check crashes
    packagingOptions {
        doNotStrip "**/libViewRightWebClient.so"
        doNotStrip "**/libwrapvr.so"
    }

    buildTypes {
        release {
            minifyEnabled false
            proguardFiles getDefaultProguardFile('proguard-android.txt'), 'proguard-rules.pro'
        }
        debug {
            debuggable true
        }
    }
}

repositories{
    maven {
        url  "http://dl.bintray.com/npaw/youbora"
    }
}

dependencies {
    implementation fileTree(include: ['*.jar'], dir: 'libs')

    implementation 'com.android.support:appcompat-v7:26.1.0'
    implementation 'com.android.support:mediarouter-v7:26.1.0'

    implementation 'com.npaw.youbora.utils:optionsutils:0.1.4'
    implementation project(':viaccessorca-adapter')

    //Needed for chromecast
    implementation 'com.google.android.gms:play-services-cast-framework:15.0.1'
    implementation 'com.google.android.gms:play-services-cast:15.0.1'

}

